# Method: buyers.finalizedDeals.addCreative

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/addCreative#try-it)

Add creative to be used in the bidding process for a finalized deal. For programmatic guaranteed deals, it's recommended that you associate at least one approved creative with the deal before calling `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals/setReadyToServe#google.ads.authorizedbuyers.marketplace.v1alpha.FinalizedDeals.SetReadyToServe`, to help reduce the number of bid responses filtered because they don't contain approved creatives. Creatives successfully added to a deal can be found in the Realtime-bidding Creatives API \[creative.deal_ids\]\[google.ads.realtimebidding.v1.Creative.deal_ids\]. This method only applies to programmatic guaranteed deals. Maximum number of 1000 creatives can be added to a finalized deal.

### HTTP request

`POST https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{deal=buyers/*/finalizedDeals/*}:addCreative`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `deal` | `string` Required. Name of the finalized deal in the format of: `buyers/{accountId}/finalizedDeals/{dealId}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "creative": string } ``` |

| Fields ||
|---|---|
| `creative` | `string` Name of the creative to add to the finalized deal, in the format `buyers/{buyerAccountId}/creatives/{creativeId}`. See \[creative.name\]\[google.ads.realtimebidding.v1.Creative.name\]. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.finalizedDeals#FinalizedDeal`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`